!SwDTmjceJHHroSEIPP:matrix.org

funkwhale

779 Members
Welcome! In this room, you can have general discussions about the project. Use #funkwhale-troubleshooting:matrix.org to report issues or get technical help, and join interesting discussions on our forum at https://governance.funkwhale.audio/g/kQgxNq15/funkwhale Code of conduct (mandatory read): https://funkwhale.audio/code-of-conduct/215 Servers

Load older messages


SenderMessageTime
19 Feb 2024
@gcrk:tchncs.degcrk (he/him) So thank you for posting an alternative one, tuff ! 14:26:50
22 Feb 2024
@tandy1000:matrix.org@tandy1000:matrix.org left the room.13:34:54
@k1nk0z:subr0sa.0j0.jpgeorge.roswell changed their display name from k1nk0z to george.roswell.23:33:01
28 Feb 2024
@anfeald:envs.netSokian changed their display name from Anfeald to Sokian.00:53:12
@julius:mtx.liftm.de@julius:mtx.liftm.de left the room.00:54:40
29 Feb 2024
@jcfp:matrix.orgJoão Pinheiro changed their profile picture.14:57:22
5 Mar 2024
@lukaprincic:matrix.orgLuka Prinčičindeed I'm now in two rooms with identical name and public address (#funkwhale:matrix.org) but one has 788 people and the other 60 and different content in chat. ..20:43:49
6 Mar 2024
@bossatossa:tchncs.de@bossatossa:tchncs.de left the room.01:51:53
7 Mar 2024
@saezheneia:matrix.imeden changed their profile picture.21:05:07
8 Mar 2024
@floreal:matrix.orgStupeflo changed their display name from Floréal to Stupeflo.08:01:28
12 Mar 2024
@dktracey:matrix.org@dktracey:matrix.org left the room.16:40:32
13 Mar 2024
@cas:matrix.orgCas

I got an error trying to update my instance

TASK [funkwhale : Apply database migrations] *******************************************************************************************************************************************************************************************************************************fatal: [127.0.0.1]: FAILED! => {"changed": true, "cmd": ["/srv/funkwhale/virtualenv/bin/funkwhale-manage", "migrate", "--no-input"], "delta": "0:00:07.261301", "end": "2024-03-13 12:54:08.798972", "msg": "non-zero return code", "rc": 1, "start": "2024-03-13 12:54:01.537671", "stderr": "2024-03-13 12:54:02,314 funkwhale_api.config INFO     Loaded env file at /srv/funkwhale/config/.env\n2024-03-13 12:54:02,314 funkwhale_api.config INFO     Running with the following plugins enabled: funkwhale_api.contrib.scrobbler, funkwhale_api.contrib.listenbrainz, funkwhale_api.contrib.maloja\n2024-03-13 18:54:06,793 funkwhale_api.typesense.utils INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.\n2024-03-13 18:54:06,793 funkwhale_api.typesense.tasks INFO    
 Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.\nTraceback (most recent call last):\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 159, in import_from_string\n    return import_string(val)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/module_loading.py\", line 17, in import_string\n    module = import_module(module_path)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module\n    return _bootstrap._gcd_import(name[level:], package, level)\n  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import\n  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load\n  File \"<frozen importlib._bootstrap>\", 
line 986, in _find_and_load_unlocked\n  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked\n  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module\n  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/oauth2_validators.py\", line 23, in <module>\n    from jwcrypto import jws, jwt\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jws.py\", line 7, in <module>\n    from jwcrypto.jwa import JWA\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jwa.py\", line 10, in <module>\n    from cryptography.hazmat.primitives import constant_time, hashes, hmac\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/primitives/hmac.py\", line 12, in <module>\n    from cryptography.hazmat.backends.openssl.hmac import _HMACContext\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/__init__.py\", line 6, in <module>\n    from cryptography.hazmat.backends.openssl.backend import backend\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/backend.py\", line 63, in <module>\n    from cryptography.hazmat.bindings.openssl import binding\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/bindings/openssl/binding.py\", line 14, in <module>\n    from cryptography.hazmat.bindings._openssl import ffi, lib\nImportError: libffi.so.7: cannot open shared object file: No such file or directory\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n  File \"/srv/funkwhale/virtualenv/bin/funkwhale-manage\", line 8, in <module>\n    sys.exit(main())\n  File \"/srv/funkwhale/api/funkwhale_api/main.py\", line 30, in main\n    execute_from_command_line(sys.argv)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/__init__.py\", line 419, in execute_from_command_line\n    utility.execute()\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/__init__.py\", line 413, in execute\n    self.fetch_command(subcommand).run_from_argv(self.argv)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 354, in run_from_argv\n    self.execute(*args, **cmd_options)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 398, in execute\n    output = self.handle(*args, **options)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 89, in wrapped\n    res = handle_func(*args, **kwargs)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/commands/migrate.py\", line 75, in handle\n    self.check(databases=[database])\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 419, in check\n    all_issues = checks.run_checks(\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/registry.py\", line 76, in run_checks\n    new_errors = check(app_configs=app_configs, databases=databases)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/urls.py\", line 13, in check_url_config\n    return check_resolver(resolver)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/urls.py\", line 23, in check_resolver\n    return check_method()\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py\", line 416, in check\n    for pattern in self.url_patterns:\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/functional.py\", line 48, in __get__\n    res = instance.__dict__[self.name] = self.func(instance)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py\", line 602, in url_patterns\n    patterns = getattr(self.urlconf_module, \"urlpatterns\", self.urlconf_module)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/functional.py\", line 48, in __get__\n    res = instance.__dict__[self.name] = self.func(instance)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py\", line 595, in urlconf_module\n    return import_module(self.urlconf_name)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module\n    return _bootstrap._gcd_import(name[level:], package, level)\n  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import\n  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load\n  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked\n  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked\n  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module\n  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed\n  File \"/srv/funkwhale/api/config/urls/__init__.py\", line 13, in <module>\n    url(\"v1/\", include(\"config.urls.api\")),\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/conf.py\", line 34, in include\n    urlconf_module = import_module(urlconf_module)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module\n    return _bootstrap._gcd_import(name[level:], package, level)\n  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import\n  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load\n  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked\n  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked\n  File \"<frozen importlib._bootstrap_external>\", line 
790, in exec_module\n  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed\n  File \"/srv/funkwhale/api/config/urls/api.py\", line 80, in <module>\n    include((\"funkwhale_api.users.oauth.urls\", \"oauth\"), namespace=\"oauth\"),\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/conf.py\", line 34, in include\n    urlconf_module = import_module(urlconf_module)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module\n    return _bootstrap._gcd_import(name[level:], package, level)\n  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import\n  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load\n  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked\n  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked\n  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module\n  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed\n  File \"/srv/funkwhale/api/funkwhale_api/users/oauth/urls.py\", line 6, in <module>\n    from . import views\n  File \"/srv/funkwhale/api/funkwhale_api/users/oauth/views.py\", line 175, in <module>\n    class AuthorizeView(views.APIView, oauth_views.AuthorizationView):\n  File \"/srv/funkwhale/api/funkwhale_api/users/oauth/views.py\", line 178, in AuthorizeView\n    validator_class = oauth2_settings.OAUTH2_VALIDATOR_CLASS\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 210, in __getattr__\n    val = perform_import(val, attr)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 148, in perform_import\n    return import_from_string(val, setting_name)\n  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 162, in import_from_string\n    raise ImportError(msg)\nImportError: Could not import 'oauth2_provider.oauth2_validators.OAuth2Validator' for setting 'OAUTH2_VALIDATOR_CLASS'. ImportError: libffi.so.7: cannot open shared object file: No such file or directory.", "stderr_lines": ["2024-03-13 12:54:02,314 funkwhale_api.config INFO     Loaded env file at /srv/funkwhale/config/.env", "2024-03-13 12:54:02,314 funkwhale_api.config INFO     Running with the following plugins enabled: funkwhale_api.contrib.scrobbler, funkwhale_api.contrib.listenbrainz, funkwhale_api.contrib.maloja", "2024-03-13 18:54:06,793 funkwhale_api.typesense.utils INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.", "2024-03-13 18:54:06,793 funkwhale_api.typesense.tasks INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.", "Traceback (most recent call last):", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 159, in import_from_string", "    return import_string(val)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/module_loading.py\", line 17, in import_string", "    module = import_module(module_path)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module", "    return _bootstrap._gcd_import(name[level:], package, level)", "  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import", "  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load", "  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked", "  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked", "  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module", "  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/oauth2_validators.py\", line 23, in <module>", "    from jwcrypto import jws, jwt", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jws.py\", line 7, in <module>", "    from jwcrypto.jwa import JWA", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jwa.py\", line 10, in <module>", "    from cryptography.hazmat.primitives import constant_time, hashes, hmac", "  
File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/primitives/hmac.py\", line 12, in <module>", "    from cryptography.hazmat.backends.openssl.hmac import _HMACContext", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/__init__.py\", line 6, in <module>", "    from cryptography.hazmat.backends.openssl.backend import backend", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/backend.py\", line 63, in <module>", "    from cryptography.hazmat.bindings.openssl import binding", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/bindings/openssl/binding.py\", line 14, in <module>", "    from cryptography.hazmat.bindings._openssl import ffi, lib", "ImportError: libffi.so.7: cannot open shared object file: No such file or directory", "", "During handling of the above exception, another exception occurred:", "", "Traceback (most recent call last):", "  File \"/srv/funkwhale/virtualenv/bin/funkwhale-manage\", line 8, in <module>", "    sys.exit(main())", "  File \"/srv/funkwhale/api/funkwhale_api/main.py\", line 30, in main", "    execute_from_command_line(sys.argv)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/__init__.py\", line 419, in execute_from_command_line", "    utility.execute()", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/__init__.py\", line 413, in execute", "    self.fetch_command(subcommand).run_from_argv(self.argv)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 354, in run_from_argv", "    self.execute(*args, **cmd_options)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 398, in execute", "    output = self.handle(*args, **options)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 89, in wrapped", "    res = handle_func(*args, **kwargs)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/commands/migrate.py\", line 75, in handle", "    self.check(databases=[database])", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py\", line 419, in check", "    all_issues = checks.run_checks(", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/registry.py\", line 76, in run_checks", "    new_errors = check(app_configs=app_configs, databases=databases)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/urls.py\", line 13, in check_url_config", "    return check_resolver(resolver)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/urls.py\", line 23, in check_resolver", "    return check_method()", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py\", line 416, in check", "    for pattern in self.url_patterns:", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/functional.py\", line 48, in __get__", "    res = instance.__dict__[self.name] = self.func(instance)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py\", line 602, in url_patterns", "    patterns = getattr(self.urlconf_module, \"urlpatterns\", self.urlconf_module)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/functional.py\", line 48, in __get__", "    res = instance.__dict__[self.name] = self.func(instance)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py\", line 
595, in urlconf_module", "    return import_module(self.urlconf_name)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module", "    return _bootstrap._gcd_import(name[level:], package, level)", "  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import", "  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load", "  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked", "  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked", "  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module", "  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed", "  File \"/srv/funkwhale/api/config/urls/__init__.py\", line 13, in <module>", "    url(\"v1/\", include(\"config.urls.api\")),", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/conf.py\", line 34, in include", "    urlconf_module = import_module(urlconf_module)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module", "    return _bootstrap._gcd_import(name[level:], package, level)", "  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import", "  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load", "  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked", "  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked", "  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module", "  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed", "  File \"/srv/funkwhale/api/config/urls/api.py\", line 80, in <module>", "    include((\"funkwhale_api.users.oauth.urls\", \"oauth\"), namespace=\"oauth\"),", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/conf.py\", line 34, in include", "    urlconf_module = import_module(urlconf_module)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py\", line 127, in import_module", "    return _bootstrap._gcd_import(name[level:], package, level)", "  File \"<frozen importlib._bootstrap>\", line 1030, in _gcd_import", "  File \"<frozen importlib._bootstrap>\", line 1007, in _find_and_load", "  File \"<frozen importlib._bootstrap>\", line 986, in _find_and_load_unlocked", "  File \"<frozen importlib._bootstrap>\", line 680, in _load_unlocked", "  File \"<frozen importlib._bootstrap_external>\", line 790, in exec_module", "  File \"<frozen importlib._bootstrap>\", line 228, in _call_with_frames_removed", "  File \"/srv/funkwhale/api/funkwhale_api/users/oauth/urls.py\", line 6, in <module>", " 
   from . import views", "  File \"/srv/funkwhale/api/funkwhale_api/users/oauth/views.py\", line 175, in <module>", "    class AuthorizeView(views.APIView, oauth_views.AuthorizationView):", "  File \"/srv/funkwhale/api/funkwhale_api/users/oauth/views.py\", line 178, in AuthorizeView", "    validator_class = oauth2_settings.OAUTH2_VALIDATOR_CLASS", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 210, in __getattr__", "    val = perform_import(val, attr)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 148, in perform_import", "    return import_from_string(val, setting_name)", "  File \"/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py\", line 162, in import_from_string", "    raise ImportError(msg)", "ImportError: Could not import 'oauth2_provider.oauth2_validators.OAuth2Validator' for setting 'OAUTH2_VALIDATOR_CLASS'. ImportError: libffi.so.7: cannot open shared object file: No such file or directory."], "stdout": "", "stdout_lines": []}

I'm not sure how to start fixing this issue

19:11:48
@cas:matrix.orgCas *

I got an error trying to update my instance

TASK [funkwhale : Apply database migrations] *******************************************************************************************************************************************************************************************************************************fatal: [127.0.0.1]: FAILED! => {"changed": true, "cmd": ["/srv/funkwhale/virtualenv/bin/funkwhale-manage", "migrate", "--no-input"]....

2024-03-13 13:34:41,969 funkwhale_api.config INFO     Loaded env file at /srv/funkwhale/config/.env
2024-03-13 13:34:41,970 funkwhale_api.config INFO     Running with the following plugins enabled: funkwhale_api.contrib.scrobbler, funkwhale_api.contrib.listenbrainz, funkwhale_api.contrib.maloja
2024-03-13 19:34:46,309 funkwhale_api.typesense.utils INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.
2024-03-13 19:34:46,309 funkwhale_api.typesense.tasks INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.
Traceback (most recent call last):
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py", line 159, in import_from_string
    return import_string(val)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/module_loading.py", line 17, in import_string
    module = import_module(module_path)
  File "/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/oauth2_validators.py", line 23, in <module>
    from jwcrypto import jws, jwt
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jws.py", line 7, in <module>
    from jwcrypto.jwa import JWA
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jwa.py", line 10, in <module>
    from cryptography.hazmat.primitives import constant_time, hashes, hmac
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/primitives/hmac.py", line 12, in <module>
    from cryptography.hazmat.backends.openssl.hmac import _HMACContext
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/__init__.py", line 6, in <module>
    from cryptography.hazmat.backends.openssl.backend import backend
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 63, in <module>
    from cryptography.hazmat.bindings.openssl import binding
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/bindings/openssl/binding.py", line 14, in <module>
    from cryptography.hazmat.bindings._openssl import ffi, lib
ImportError: libffi.so.7: cannot open shared object file: No such file or directory

I'm not sure how to start fixing this issue

19:37:54
@cas:matrix.orgCas *

I got an error trying to update my instance

TASK [funkwhale : Apply database migrations] *******************************************************************************************************************************************************************************************************************************fatal: [127.0.0.1]: FAILED! => {"changed": true, "cmd": ["/srv/funkwhale/virtualenv/bin/funkwhale-manage", "migrate", "--no-input"]....

2024-03-13 13:34:41,969 funkwhale_api.config INFO     Loaded env file at /srv/funkwhale/config/.env
2024-03-13 13:34:41,970 funkwhale_api.config INFO     Running with the following plugins enabled: funkwhale_api.contrib.scrobbler, funkwhale_api.contrib.listenbrainz, funkwhale_api.contrib.maloja
2024-03-13 19:34:46,309 funkwhale_api.typesense.utils INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.
2024-03-13 19:34:46,309 funkwhale_api.typesense.tasks INFO     Typesense is not activated. You can enable it by setting the TYPESENSE_API_KEY env variable.
Traceback (most recent call last):
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py", line 159, in import_from_string
    return import_string(val)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/module_loading.py", line 17, in import_string
    module = import_module(module_path)
  File "/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/oauth2_validators.py", line 23, in <module>
    from jwcrypto import jws, jwt
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jws.py", line 7, in <module>
    from jwcrypto.jwa import JWA
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/jwcrypto/jwa.py", line 10, in <module>
    from cryptography.hazmat.primitives import constant_time, hashes, hmac
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/primitives/hmac.py", line 12, in <module>
    from cryptography.hazmat.backends.openssl.hmac import _HMACContext
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/__init__.py", line 6, in <module>
    from cryptography.hazmat.backends.openssl.backend import backend
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 63, in <module>
    from cryptography.hazmat.bindings.openssl import binding
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/cryptography/hazmat/bindings/openssl/binding.py", line 14, in <module>
    from cryptography.hazmat.bindings._openssl import ffi, lib
ImportError: libffi.so.7: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/srv/funkwhale/virtualenv/bin/funkwhale-manage", line 8, in <module>
    sys.exit(main())
  File "/srv/funkwhale/api/funkwhale_api/main.py", line 30, in main
    execute_from_command_line(sys.argv)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/__init__.py", line 419, in execute_from_command_line
    utility.execute()
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/__init__.py", line 413, in execute
    self.fetch_command(subcommand).run_from_argv(self.argv)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py", line 354, in run_from_argv
    self.execute(*args, **cmd_options)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py", line 398, in execute
    output = self.handle(*args, **options)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py", line 89, in wrapped
    res = handle_func(*args, **kwargs)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/commands/migrate.py", line 75, in handle
    self.check(databases=[database])
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/management/base.py", line 419, in check
    all_issues = checks.run_checks(
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/registry.py", line 76, in run_checks
    new_errors = check(app_configs=app_configs, databases=databases)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/urls.py", line 13, in check_url_config
    return check_resolver(resolver)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/core/checks/urls.py", line 23, in check_resolver
    return check_method()
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py", line 416, in check
    for pattern in self.url_patterns:
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/functional.py", line 48, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py", line 602, in url_patterns
    patterns = getattr(self.urlconf_module, "urlpatterns", self.urlconf_module)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/utils/functional.py", line 48, in __get__
    res = instance.__dict__[self.name] = self.func(instance)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/resolvers.py", line 595, in urlconf_module
    return import_module(self.urlconf_name)
  File "/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/srv/funkwhale/api/config/urls/__init__.py", line 13, in <module>
    url("v1/", include("config.urls.api")),
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/conf.py", line 34, in include
    urlconf_module = import_module(urlconf_module)
  File "/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/srv/funkwhale/api/config/urls/api.py", line 80, in <module>
    include(("funkwhale_api.users.oauth.urls", "oauth"), namespace="oauth"),
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/django/urls/conf.py", line 34, in include
    urlconf_module = import_module(urlconf_module)
  File "/srv/funkwhale/virtualenv/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 790, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/srv/funkwhale/api/funkwhale_api/users/oauth/urls.py", line 6, in <module>
    from . import views
  File "/srv/funkwhale/api/funkwhale_api/users/oauth/views.py", line 175, in <module>
    class AuthorizeView(views.APIView, oauth_views.AuthorizationView):
  File "/srv/funkwhale/api/funkwhale_api/users/oauth/views.py", line 178, in AuthorizeView
    validator_class = oauth2_settings.OAUTH2_VALIDATOR_CLASS
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py", line 210, in __getattr__
    val = perform_import(val, attr)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py", line 148, in perform_import
    return import_from_string(val, setting_name)
  File "/srv/funkwhale/virtualenv/lib/python3.9/site-packages/oauth2_provider/settings.py", line 162, in import_from_string
    raise ImportError(msg)
ImportError: Could not import 'oauth2_provider.oauth2_validators.OAuth2Validator' for setting 'OAUTH2_VALIDATOR_CLASS'. ImportError: libffi.so.7: cannot open shared object file: No such file or directory.

I'm not sure how to start fixing this issue

19:38:24
@cas:matrix.orgCas I'm trying to install libffi.so.7 now 19:47:00
@cas:matrix.orgCas * I'm trying to manually install libffi.so.7 now 19:47:11
31 Mar 2024
@lukaprincic:matrix.orgLuka Prinčič changed their profile picture.13:37:02
12 Apr 2024
@dvdgsng:matrix.org@dvdgsng:matrix.org left the room.11:38:57
16 Apr 2024
@cyberweb:matrix.org@cyberweb:matrix.org joined the room.09:00:37
@cyberweb:matrix.org@cyberweb:matrix.org joined the room.09:00:51
@cyberweb:matrix.org@cyberweb:matrix.org left the room.09:01:12
17 Apr 2024
@lukaprincic:matrix.orgLuka Prinčič changed their profile picture.19:12:47
6 May 2024
@nouts:taboulisme.com@nouts:taboulisme.com left the room.13:18:54
7 May 2024
@lorddavidiii:fairydust.space@lorddavidiii:fairydust.space left the room.18:28:16
12 May 2024
@genericauce:matrix.orggenericaucehttps://docs.funkwhale.audio/administrator/import.html with the docker instructions here I think destination should be replaced with targer03:20:20
@genericauce:matrix.orggenericauce * https://docs.funkwhale.audio/administrator/import.html with the docker instructions here I think destination should be replaced with target03:20:22
14 May 2024
@gaelle:gluten.space@gaelle:gluten.space left the room.09:51:19
17 May 2024
@mmai:matrix.org@mmai:matrix.org left the room.16:46:39
18 May 2024
@jandre:matrix.orgjandre set a profile picture.19:20:39
26 May 2024
@sabba:matrix.org@sabba:matrix.org left the room.23:54:23

There are no newer messages yet.


Back to Room ListRoom Version: